%define module	Math-MatrixBool
%define name	perl-%{module}
%define version 5.7
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Matrix of Booleans
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/S/ST/STBEY/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Bit-Vector
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
Easy manipulation of matrices of booleans (Boolean Algebra).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%files
%defattr(-,root,root)
%doc README.txt
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-2mdk
- fix buildrequires in a backward compatible way

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-1mdk 
- first mdk release
